<?php

  $unique_freelancer_portfolio_color_palette_css = '';

	// Global Color

	$unique_freelancer_portfolio_first_color = unique_freelancer_portfolio_get_option('unique_freelancer_portfolio_first_color');

	if($unique_freelancer_portfolio_first_color != false){
		$unique_freelancer_portfolio_color_palette_css .=':root {';
			$unique_freelancer_portfolio_color_palette_css .='--primary-color: '.esc_attr($unique_freelancer_portfolio_first_color).'!important;';
		$unique_freelancer_portfolio_color_palette_css .='}';
	}

	// Copyright Background Color
	$unique_freelancer_portfolio_copyright_background_color = unique_freelancer_portfolio_get_option('unique_freelancer_portfolio_copyright_background_color');
	$unique_freelancer_portfolio_color_palette_css .='#colophon {';
	$unique_freelancer_portfolio_color_palette_css .='background: '.esc_attr($unique_freelancer_portfolio_copyright_background_color);
	$unique_freelancer_portfolio_color_palette_css .='}';

	// Copyright Text Color
	$unique_freelancer_portfolio_copyright_text_color = unique_freelancer_portfolio_get_option('unique_freelancer_portfolio_copyright_text_color');
	$unique_freelancer_portfolio_color_palette_css .='#colophon a , #colophon{';
	$unique_freelancer_portfolio_color_palette_css .='color: '.esc_attr($unique_freelancer_portfolio_copyright_text_color);
	$unique_freelancer_portfolio_color_palette_css .='}';	


	// Site title And tagline Option
	$unique_freelancer_portfolio_site_title_font_size = unique_freelancer_portfolio_get_option('unique_freelancer_portfolio_site_title_font_size');
	$unique_freelancer_portfolio_site_title_color = unique_freelancer_portfolio_get_option('unique_freelancer_portfolio_site_title_color');
	$unique_freelancer_portfolio_color_palette_css .='.site-title>a , .site-title {';
		$unique_freelancer_portfolio_color_palette_css .='font-size: '.esc_attr($unique_freelancer_portfolio_site_title_font_size).'px;';
		$unique_freelancer_portfolio_color_palette_css .='color: '.esc_attr($unique_freelancer_portfolio_site_title_color).';';
	$unique_freelancer_portfolio_color_palette_css .='}';

	$unique_freelancer_portfolio_site_tagline_font_size = unique_freelancer_portfolio_get_option('unique_freelancer_portfolio_site_tagline_font_size');
	if($unique_freelancer_portfolio_site_tagline_font_size != false){
		$unique_freelancer_portfolio_color_palette_css .='.site-description {';
			$unique_freelancer_portfolio_color_palette_css .='font-size: '.esc_attr($unique_freelancer_portfolio_site_tagline_font_size).'px;';
		$unique_freelancer_portfolio_color_palette_css .='}';
	}

	//First Cap
	$unique_freelancer_portfolio_show_first_caps = unique_freelancer_portfolio_get_option('unique_freelancer_portfolio_show_first_caps', false);
	if($unique_freelancer_portfolio_show_first_caps == 'true' ){
	$unique_freelancer_portfolio_color_palette_css .='.blog-content .text-content p:nth-of-type(1)::first-letter{';
	$unique_freelancer_portfolio_color_palette_css .=' font-size: 50px; font-weight: 600;';
	$unique_freelancer_portfolio_color_palette_css .=' margin-right: 5px;';
	$unique_freelancer_portfolio_color_palette_css .=' line-height: 1;';
	$unique_freelancer_portfolio_color_palette_css .='}';
	}elseif($unique_freelancer_portfolio_show_first_caps == 'false' ){
	$unique_freelancer_portfolio_color_palette_css .='.blog-content .text-content p:nth-of-type(1)::first-letter {';
	$unique_freelancer_portfolio_color_palette_css .='display: none;';
	$unique_freelancer_portfolio_color_palette_css .='}';
	}

	// preloader background image
	$unique_freelancer_portfolio_show_preloader_background_image = unique_freelancer_portfolio_get_option('unique_freelancer_portfolio_show_preloader_background_image');
	if($unique_freelancer_portfolio_show_preloader_background_image != false){
		$unique_freelancer_portfolio_color_palette_css .='#preloader {';
			$unique_freelancer_portfolio_color_palette_css .='background: url('.esc_attr($unique_freelancer_portfolio_show_preloader_background_image).');-webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;';
		$unique_freelancer_portfolio_color_palette_css .='}';
	}